<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");

class video extends elemento{
	
	
	function video() {
        $c= new categoria;
    }

    
    function preview($id=""){
    	$this->guardar($id);
    }
    
  
	function guardar($id=0){	
		$trata = new images_mod($this->req);
		$this->req['imagem'] = $trata->trataimagem_escolhe('imagem', "../netimages/video");

		
		$this->req['permatitulo']=generate_seo_titulo1($this->req['titulo'], $this->tipo, $id);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
		//$this->tratafile('video');
		
		if($this->req['data'] == "0000-00-00") $this->req['data'] =  date("Y-m-d");
		$id=parent::guardar($id);
	}
	


	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		
		$f->titulo("",1,"",$f->textodireita);
		
		$f->campoTexto("Título","titulo" );
		$f->campoImagem3("Imagem","imagem", 500,230);
		$f->campoAreaTexto("Video (embed) ","embed");
				
		$f->campoAreaTexto("Lead (lista)","lead");
		$f->campoHTML("Texto", "texto");

		$f->campoTexto("SEO: Palavras chave","tagpalavras" );
		$f->campoTexto("SEO: Descrição","tagdescricao" );
		$f->campoValor("ordem", $linha["ordem"]);
		//$f->campoSimNao("Destaque", "destaque");
		
		$f->campoBotaoPreview($linha['permalink'],"../artigo_detalhe.php");
		
		$f->campoSimNao("Activo", "estado");
		
		$sys_data = (($linha['sys_data'] != "0000-00-00")) ? $linha['sys_data'] : date("Y-m-d");
		$sys_hora = (($linha['sys_hora'] != "00:00:00")) ? $linha['sys_hora'] : date("H:i");
		$f->campoValor('sys_autor', $linha['sys_autor'] ? $linha['sys_autor'] : $_SESSION['authdata']['login']);
		$f->campoValor('sys_data', $sys_data);
		$f->campoValor('sys_hora', $sys_hora);

		
		$f->mostra();
	}
	

	function listar($id=""){
		        
        $campos=array("Nr"=>"id","Titulo"=>"titulo", "Ordem"=>"ordem", "Activo"=>"estado");
                
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "id", 2 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
                
		$max = sizeof($dados);
	
        $f= new lista($campos, $dados, $this->req);
	
        $toolbar= new toolbar(); 
		$toolbar->botao_l("Novo", 50);
		if ($_SESSION['authdata']['super']) $toolbar->botao2_l("Mover", 50);
		$toolbar->botao2_l("Copiar", 50);
		if ($_SESSION['authdata']['super']) $toolbar->botao2_l("Apagar", 50);
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		//$toolbar->escolhe2("Estado","estado", $this->estados_lista, $valor_estado ,true);	
		$toolbar->procurar($this->req['procurar']);  
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();

		$f->titulo();
		//$f->cabeca();
		$f->cabecaSimples();
		//$f->cabecaSimples("Comentários");
		
        //$f->filtros();
        //$f->tabela(true);
        if ($_SESSION['authdata']['super'])
			$f->tabela(false, true, true, 2, false);
		else
			$f->tabela(false, false, false, 2, false);
		
			
		$f->mostra();
	}
	
	
}
?>
